こんにちはゲストさん。会員登録(無料)して質問・回答してみよう!

解決済みの質問

■インストール

この度、実験でPHPを使おうとしているものです。
アパッチ+PHPを実現したいと考えています。

そこで、Xamppをインストールしたのですが、mysqlなど使わないので、邪魔です。

アパッチとPHPの2つだけ限定して利用するので、その2つだけインストールしたいです。

そこでXamppのような感じでアパッチ+PHPの2つだけが一緒にセットになっていて、インストール作業が楽なフリーソフトなどないでしょうか?

もしくは、最新版のアパッチとPHPの個別のインストール作業の仕方が記載されているサイト等ないでしょうか?

投稿日時 - 2008-02-17 05:30:38

QNo.3783250

すぐに回答ほしいです

質問者が選んだベストアンサー

「windows php インストール」
等のように検索すれば、どこを見たらいいかわからないくらい一杯検索されますけど、そういった検索はしてみましたか?

apacheならば2.2系か2.0系が最新
phpならば5.1系か5.2系が最新になります
細かなバグフィックスバージョンの差は気にしなくてもよいですよ

バラバラにインストールしたほうが自分の好みのバージョンも使えますし、ゆくゆくはLinuxなどへのインストールするための予備知識にもなります
慣れればバラバラに入れるほうが簡単だと思えるようになりますよ
XAMMPが悪いとは言いませんが、インストールされる時の設定がちょっと特殊ですし、気軽にバージョン変更もできません


ただ、windowsの場合はapache2.2系でphpを動かすのにはちょっとコツというか、そのままでは動かないので注意が必要です

apache2.2系は2.0系のバージョンアップという感覚ではありません
apacheは2.2系と2.0系で並行的に開発がされています

phpも似たような感じで、5.1系と5.2系では大きく変わった部分があり、5.2系がちょこちょこと細かなバグフィックス版をリリースしていることからあまり安定していない状態です。

実際の業務で使われるときも「apacheは2.0系の最新版で、phpは5.1.6(php5.1系の最終安定版)で」のような状況が多々あります

趣味でphpを使いたいのであれば、数字の一番おおきなもの という適当な理由で一番新しいバージョンを選びがちですが、業務で使うのであれば、ある程度熟成の終わった(「枯れた」と表現します)バージョンが好まれる傾向があります

個人的には、apache2.0系最新とphp5.1.6をおススメします
http://jp.php.net/releases/
(少しスクロールさせると5.1.6がDLできるところがあります

投稿日時 - 2008-02-17 06:10:02

お礼

回答ありがとうございます。

バージョン説明のところは本当によく分かる説明です。
バージョンの番号が大きければ良いという発想が今まであったのですが、今回の説明でよく分かりました!
apacheは2.0系で、phpは5.1.6でやろうと思います!


「windows php インストール」でググった結果
http://y-kit.jp/saba/xp/phpsetup.htm
が一番上にあったので、このとおりにやりましたが、無理でした・・・
(というより、このとおりにできない?)


上記構成でインストール作業が載っているサイトなどありませんでしょうか?

投稿日時 - 2008-02-17 06:21:48

ANo.1

このQ&Aは役に立ちましたか?

0人が「このQ&Aが役に立った」と投票しています

回答(2)

ANo.2

http://y-kit.jp/saba/
こことか、どうですか?

私は、XAMPPをインストールしたことがなく、Apachと、Perl、PHPを個別にインストールしました。

ただ、インストールするのはかなり前なのですが、Apache2.2だったかな。
PHPが正式には、対応していなく、動かなかったような・・・すいません、うろ覚えです。^^;

あり物ではないって事は、別々の所で作った、ソフトを相互に対応するようにインストール、設定するので、ちょっと面倒ですよ。w

投稿日時 - 2008-02-17 20:50:18

あなたにオススメの質問